<?php

class Brivium_Credits_ControllerPublic_Thread extends XFCP_Brivium_Credits_ControllerPublic_Thread
{
	public function actionWatch()
	{
		$this->_assertPostOnly();

		$threadId = $this->_input->filterSingle('thread_id', XenForo_Input::UINT);
		list($thread, $forum) = $this->getHelper('ForumThreadPost')->assertThreadValidAndViewable($threadId);

		$GLOBALS['BRC_CPT_actionWatch'] = $thread;
		return parent::actionWatch();
	}

}